name: tudoaqui
description: Super App marketplace agregador para Angola - Encontre tudo num só lugar
publish_to: 'none'
version: 1.0.0+1

environment:
  sdk: '>=3.0.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  
  # UI & Fonts
  cupertino_icons: ^1.0.2
  google_fonts: ^6.1.0
  
  # Camera & ML (para implementar)
  image_picker: ^1.0.4
  google_ml_kit: ^0.16.0
  
  # Maps & Location (para implementar)
  # google_maps_flutter: ^2.5.0
  # geolocator: ^10.1.0
  
  # HTTP & API
  http: ^1.1.0
  
  # Firebase (para implementar)
  # firebase_core: ^2.24.0
  # firebase_messaging: ^14.7.4
  # firebase_database: ^10.4.0
  
  # Authentication (para implementar)
  # local_auth: ^2.1.7  # Biometria
  
  # State Management (escolher)
  # provider: ^6.1.1

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^2.0.0

flutter:
  uses-material-design: true
  
  # Assets (adicionar quando necessário)
  # assets:
  #   - assets/images/
  #   - assets/icons/
